# Delete Repositories from Integration

Endpoint: DELETE /gateway/ssca-manager/v1/orgs/{org}/projects/{project}/integration/{integration}/repos
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Harness organization ID

  - `project` (string, required)
    Harness project ID

  - `integration` (string, required)
    A unique identifier for the integration created using the Create Integration API. This ID is returned in the response of the Create Integration API and must be provided as a path parameter when fetching integration details or repositories.

## Header parameters:

  - `Harness-Account` (string, required)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Request fields (application/json):

  - `include_all_repos` (boolean)

  - `repositories` (array)

  - `repositories.visibility` (string)
    Enum: "PUBLIC", "PRIVATE", "INTERNAL"

  - `repositories.name` (string, required)

  - `repositories.url` (string)

  - `repositories.owner` (string)

  - `repositories.branch` (string)

  - `repositories.id` (string)

  - `repositories.size` (string)

## Response 200 fields (application/json):

  - `all_repos_configured` (boolean)

  - `missing_repos` (object)

  - `missing_repos.count` (integer)

  - `missing_repos.names` (array)

  - `missing_repos.reason` (string)


